﻿#language: ru

Функционал: Переупаковка сыра

Сценарий: Переупаковка сыра
	Дано Я подключаюсь под "Цех созревания сыра"
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место начальника склада'
	Тогда открылось окно 'Рабочее место начальника склада'
	И я перехожу к закладке "Настройки"
	И я нажимаю кнопку выбора у поля с именем "СписокСклады"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место начальника склада'
	И я перехожу к закладке 'Настройки'
	И я нажимаю кнопку выбора у поля "Рабочие центры"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку 'ОК'
	И я перехожу к закладке 'Настройки'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я нажимаю на гиперссылку "Декорация развернуть панель отборов"
	И я нажимаю кнопку выбора у поля "ОтборХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И в таблице "ТаблицаОстаткиБезТары" я перехожу к первой строке
	И я нажимаю на кнопку 'Указать переупаковку'
	Тогда открылось окно 'Переупаковка'
	И я нажимаю кнопку выбора у поля "Номенклатура пакет"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'          |
		| 'Пакет ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка'
	И у элемента с именем "РабочийЦентр" я жду значения "Маркировка" в течение 7 секунд
	И в поле 'Количество' я ввожу текст '12,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место начальника склада'
	И Я закрываю окно 'Рабочее место начальника склада'

Сценарий: 10_milk_scenario.05.002 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT